Support » Plugin: WP Page Widget » Conflict with the Simple Custom CSS and JS plugin

  • Resolved Diana Burduja

    (@diana_burduja)


    The WP Page Widget plugin loads the Page Widgets metabox only on the selected post types, but it still loads the JS files necessary for the metabox on all the post types. This leads to a JS error on the Simple Custom CSS and JS plugin.

    Would it be possible to load the JS files only for the selected post types? There are only two lines of codes to perform such a check.

    Here is a screenshot of the code with the changes. Or here is a diff of the code changes.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author CodeAndMore

    (@codeandmore)

    Thanks for reporting we are going to review / fix.

    Plugin Author CodeAndMore

    (@codeandmore)

    Please review latest version. Thanks.

    I’m sorry, this still doesn’t solve it.

    Currently the WP Page Widget plugin loads the JS files with the admin_print_scripts-widgets.php hook on ALL admin pages, which slows down all the backend pages and creates conflicts with other plugins. Would it be possible to load those JS files only where you need them? See this screenshot.

    Thank you.

    With the 3.8 version the problem is solved. Thank you.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Conflict with the Simple Custom CSS and JS plugin’ is closed to new replies.